ALL_ANNOTATIONS = {
    "ADL1: Tier 1": [
        "Cleaning",
        "Dishwashing",
        "Eating/drinking",
        "Exercising",
        "Environment",  # Added
        "Grooming",
        "Health condition",
        "Health care",
        "Home environment management",
        "Hygiene",
        "Information",
        "Information interaction",
        "Social interaction",
        "Laundry",
        "Leisure",
        "Meal preparation",
        "Misc",
        "Sleeping",
        "Social",
        "Study related",
        "Working",
        "Yardwork"
    ],
    "ADL1: Tier 2": [
        "Cleaning: misc",
        "Cleaning: changing Linen",
        "Cleaning: cleaning in the background",
        "Cleaning: cleaning windows",
        "Cleaning: dusting",
        "Cleaning: making the bed",
        "Cleaning: mopping",
        "Cleaning: organising",
        "Cleaning: polishing the floor",
        "Cleaning: polishing the furniture",
        "Cleaning: putting things away",
        "Cleaning: recycling",
        "Cleaning: scrubbing the floor",
        "Cleaning: sweeping",
        "Cleaning: taking out the rubbish",
        "Cleaning: throwing something away",
        "Cleaning: vacuuming",
        "Dishwashing: dishwasher on in the background",
        "Dsihwashing: drying dishes",  # added, note spelling mistake
        "Dishwashing: misc",
        "Dishwashing: hand washing/rinsing dishes",
        "Dishwashing: loading the dishwasher",
        "Dishwashing: putting away dishes",
        "Dishwashing: soaking dishes",
        "Dishwashing: unloading the dishwasher",
        # "Eating/drinking: Drinking water or a beverage",
        "Eating/drinking: drinking a beverage",
        "Eating/drinking: drinking alcohol",
        "Eating/drinking: misc",
        "Eating/drinking: eating a meal",
        "Eating/drinking: eating a snack",
        "Exercise: endurance",  # removed "training"
        "Exercise: flexibility",  # removed "training"
        "Exercise: rehabilitation",
        "Exercise: strength training",
        "Exercise: stretching",
        "Exercise: misc",  # added
        "Grooming: applying cosmetics",
        "Grooming: brushing/styling hair",
        "Grooming: drying hair",
        "Grooming: getting dressed",
        "Grooming: getting undressed",
        "Grooming: misc",
        "Grooming: putting shoes on",
        "Grooming: taking shoes off",
        "Grooming: shaving",
        "Health condition: coughing",
        "Health condition: fall",
        "Health condition: fever/infection",
        "Health condition: misc",  # added
        "Health condition: shaking",
        "Health condition: sweating",
        "Healthcare: misc",
        "Healthcare: taking medication/vitamins",
        "Healthcare: treating a wound",
        "Environment: misc",
        "Environment: adjusting ambient environment",
        "Environment: adjusting light levels",
        "Environment: causing destruction",
        "Environment: decorating",
        "Environment: moving furniture",
        "Environment: putting away shopping",
        "Environment: searching for item",
        "Environment: watering plants",
        "Hygiene: bathing or showering",
        "Hygiene: brushing teeth",
        "Hygiene: cutting nails",
        "Hygiene: drying face/body",  # added
        "Hygiene: flossing",
        "Hygiene: misc",
        "Hygiene: toileting",
        "Hygiene: washing face",
        "Hygiene: washing hands",
        "Hygiene: drying hands",
        "Information: misc",
        "Information: listening to music/radio",
        "Information: reading book/printed material",
        "Information: talking",
        "Information: talking on a phone",
        "Information: talking to someone",
        "Information: talking to themselves",
        "Information: using a computer",
        "Information: using a mobile phone/pda/tablet",
        "Information: using a printer/fax",
        "Information: watching tv in the background",
        "Information: tv or movies",
        "Information: writing",
        "Laundry: misc",
        "Laundry: dryer on in the background",
        "Laundry: hanging laundry",
        "Laundry: ironing",
        "Laundry: loading the dryer",
        "Laundry: loading the washing machine",
        "Laundry: preparing laundry for washing",
        "Laundry: putting laundry away",
        "Laundry: unloading the dryer",
        "Laundry: unloading the washing machine",
        "Laundry: washing machine on in the background",
        "Leisure: misc",
        "Leisure: dancing",
        "Leisure: knitting/sewing",
        "Leisure: meditating/praying",
        "Leisure: pet activity",
        "Leisure: playing games",
        "Leisure: playing music",
        "Leisure: playing with children",
        "Leisure: relaxing/thinking",
        "Leisure: singing",
        "Leisure: hobby work",
        "Meal preparation: misc",
        "Meal preparation: cooking/warming food in microwave",
        "Meal preparation: cooking/warming food in oven",
        "Meal preparation: cooking/warming food on stove",
        "Meal preparation: preparing a drink",
        "Meal preparation: preparing a meal",
        "Meal preparation: preparing a meal in the background",
        "Meal preparation: preparing a snack",
        "Meal preparation: serving food",
        "Sleeping: misc",
        "Sleeping: getting reading to sleep",
        "Sleeping: napping",
        "Sleeping: sleeping deeply",
        "Sleeping: waking up",
        "Social: receive visitors",
        "Social: social media",
        "Social: talking on a phone",  # added, note possible duplicate
        "Social: verbal interaction with another",
        "Social: video calling",
        "Study related: docking/charging research devices",
        "Study related: putting on/taking off sensors",
        "Study related: misc",
        "Study related: unplugging kiosk",
        "Working: physical",
        "Working: intellectual",
        "Yardwork: gardening",
        "Yardwork: mowing lawn",
        "Yardwork: misc"
    ],
    "ADL 2: Tier 1": [],
    "ADL 2: Tier 2": [],
    "Location": [
        "Study",
        "Bedroom 1",
        "Bedroom 2",
        "Bathroom",
        "Hallway",
        "Kitchen",
        "Living room",
        "Stairs",
        "Toilet"
    ],
    "Posture/Ambulation": [
        "Ambulation: misc",
        "Ambulation: walking",
        "Ambulation: crawling",
        "Ambulation: jogging",
        "Ambulation: jumping",
        "Ambulation: running",
        "Ambulation: ascending stairs",
        "Ambulation: descending stairs",
        "Ambulation: walking with load",
        "Posture: misc",
        "Posture: bent over",
        "Posture: lying",
        "Posture: sitting on chair/bed/sofa",
        "Posture: sitting on floor",
        "Posture: sitting",
        "Posture: standing",
        "Posture: squatting",
        "Posture: kneeling",
        "Transition: misc",  # removed s
        "Transitions: stand to sit",
        "Transitions: sit to stand",
        "Transitions: lying to sit",
        "Transitions: sit to lying",
        "Transitions: lying to standing",
        "Transitions: standing to lying",
        "Transitions: turning / pivoting",
        "Transitions: bending",
        "Transitions: straightening",
        "Transitions: Stand to kneel",
        "Transitions: kneel to stand"
    ],
    "Social Interaction": [
        "Alone",
        "Alone in a room",
        "Not alone",
        "Outside the home",
        "Visitor present"
    ],
    "Tier 3 (1)": [
        # "Tap interaction",
        # "Tap interaction: close tap",
        # "Tap interaction: open tap",
        # "Tap interaction: close hot tap",
        # "Tap interaction: open hot tap",
        # "Tap interaction: close cold tap",
        # "Tap interaction: open cold tap",
        # "Door interaction",
        # "Door interaction: open door",
        # "Door interaction: close door",
        # "Door interaction: walk through door",
        # "Object interaction",
        # "Object interaction: pick up an object",
        # "Object interaction: put object down",
        # "Object interaction: hold/manipulate",
        # "Object interation: drop",
        # "Object interation: fill",
        # "Object interation: empty",
        # "Object interation: Using electrical appliance",
        # "Object interation: Cupboard open",
        # "Object interation: Cupboard close",
        # "Object interation: Draw open",
        # "Object interation: Draw close",
        # "Switch on electrical appliance",
        # "Switch off electrical appliance",
        "Draw: open",
        "Draw: close",
        "Curtains: open",
        "Curtains: close",
        "Tap interaction",
        "Tap: close",
        "Tap: open",
        "Tap: close hot",
        "Tap: open hot",
        "Tap: close cold",
        "Tap: open cold",
        "Door interaction",
        "Door: open door",
        "Door: close door",
        "Door: walk through door",
        "Door: misc",  # added
        "Cupboard: open",
        "Cupboard: close",
        "Object: drop",
        "Object: empty",
        "Object: fill",
        "Object: hold/use",
        "Object: misc",
        "Object: pick up",
        "Object: put down",
        "Electrical appliance: switch on",
        "Electrical appliance: switch off",
        "Electrical appliance: use",
        "Electrical appliance: misc",
        "Light switch: on",
        "Light switch: off"  # Note spelling mistake
    ],
    "Tier 3 (2)": []
}

ALL_ANNOTATIONS["ADL 2: Tier 1"] = ALL_ANNOTATIONS["ADL1: Tier 1"]
ALL_ANNOTATIONS["ADL 2: Tier 2"] = ALL_ANNOTATIONS["ADL1: Tier 2"]
ALL_ANNOTATIONS["Tier 3 (2)"] = ALL_ANNOTATIONS["Tier 3 (1)"]

CORRECTIONS = {
    "Light switch: of": "Light switch: off",
    "Bedroom": "Bedroom 2",
    "Office": "Study",
    "Bedroom: Master bedroom": "Bedroom 1",
    "Bedroom: Guest bedroom": "Bedroom 2"
}